Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           gnome-applet-sensors
Version:        1.8.1
Release:        1
Summary:        Gnome panel applet for hardware sensors

Group:          User Interface/Desktops
License:        GPL
URL:            http://sensors-applet.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/sensors-applet/sensors-applet-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	gettext gnome-doc-utils
BuildRequires: 	gnome-panel-devel
BuildRequires: 	lm_sensors-devel libnotify-devel
BuildRequires: 	intltool perl-XML-Parser
BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel module (for
Dell Inspirion 8000 Laptops).
Includes a simple, yet highly customizable display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.
GNOME HIG v2.0 compliant.


%prep
%setup -q -n sensors-applet-%{version}
chmod -x %{_builddir}/sensors-applet-%{version}/AUTHORS
chmod -x %{_builddir}/sensors-applet-%{version}/NEWS
chmod -x %{_builddir}/sensors-applet-%{version}/TODO
chmod -x %{_builddir}/sensors-applet-%{version}/ChangeLog

%build

%configure --sysconfdir=%_sysconfdir/gnome --libexecdir= --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/gnome-applet-sensors \
--localstatedir=/var/lib \
--disable-scrollkeeper --enable-libnotify
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/icon-theme.cache

# Note: the find_lang macro requires gettext
%find_lang sensors-applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f sensors-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server
%{_libdir}/gnome-applet-sensors/*
%{_datadir}/omf/sensors-applet/
%{_datadir}/gnome/help/sensors-applet/
%{_datadir}/pixmaps/sensors-applet/
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.8-1
- Initial release